Attributes
This page provides API documentation for performing operations on Dynamic Attributes.
Access Control:
Allowed Roles: MEMBER
Impersonated User Allowed: No
Organization API Key Allowed: Yes
Patch Behavior:
Attribute not present in request: A new attribute will be created.
Attribute set to null: The request will fail because the attribute has a non-null validation constraint.
Attribute set to an empty object ({ }): No changes will be applied.
Entity ID. For entity type 'lead', accepts either the Saleschat-generated lead ID (UUID) or the lead's CRM ID. For other entity types, the exact entity ID is required.
Successfully patched attributes
Invalid request data
Unauthorized - Authentication is required
Unauthorized access
Unknown entity type
Internal Server Error - Something went wrong on the server
PATCH /v4/orgs/{orgId}/dynamic-attributes/{entityType}/{entityId} HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"attributes": {
"ANY_ADDITIONAL_PROPERTY": {}
}
}{
"id": 1,
"org_id": "text",
"entity_type": "text",
"entity_id": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}Access Control:
Allowed Roles: MEMBER
Impersonated User Allowed: No
Organization API Key Allowed: Yes
Patch Behavior:
Attribute not present in request: A new attribute will be created.
Attribute set to null: The request will fail because the attribute has a non-null validation constraint.
Attribute set to an empty object ({ }): No changes will be applied.
Successfully patched attributes
Invalid request data
Unauthorized - Authentication is required
Unauthorized access
Internal Server Error - Something went wrong on the server
PATCH /v1/orgs/{orgId}/dynamic-attributes/{entityType}/{entityId} HTTP/1.1
Host: apis.saleschat.pro
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"attributes": {
"ANY_ADDITIONAL_PROPERTY": {}
}
}{
"id": 1,
"org_id": "text",
"entity_type": "text",
"entity_id": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}Last updated